import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

finnm = input('入力データファイル（*.xlsx）= ')
foutnm = input('グラフ画像保存ファイル（*.png）= ')
#
#      Excelファイルの読み込み
#　　　モジュール xlrd がインストール済みであること
#
xlsx_fl = pd.ExcelFile(finnm)                       #   ExcelファイルからExcelFile型オブジェクトを生成
data_xlsx = pd.read_excel(xlsx_fl,  header = None)  #   ExcelFile型オブジェクトからDataFrame型オブジェクトを生成
data = data_xlsx.values                             #   Dataframe型オブジェクトからnumpyの配列オブジェクトを生成
print(data)
var_name = data[0,1]
values = data[1:].T[1]

#       日本語表記の設定
plt.rcParams['font.family'] = ['Yu Gothic', 'Noto Sans CJK JP', 'Hiragino Maru Gothic Pro']

plt.figure(figsize = (8, 6))             #   画像のサイズ
plt.hist(values)                         #   ヒストグラムの描画
plt.xticks(fontsize = 12)                #   横軸の目盛り文字の大きさ
plt.yticks(fontsize = 12)                #   縦軸の目盛り文字の大きさ
plt.xlabel(var_name, fontsize = 20)      #   横軸の変数名
plt.ylabel('度数', fontsize = 20)        #    縦軸の名前
plt.savefig(foutnm)                      #   画像の保存
plt.show()                               #   画像の表示

print('保存されたファイル：', foutnm)
